public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
Search results ordered by [date|relevance]  view[summary|nested|Atom feed]
thread overview below | download mbox.gz: |
* [gentoo-commits] repo/gentoo:master commit in: media-libs/lcms/
@ 2016-07-31  7:42 99% Lars Wendler
  0 siblings, 0 replies; 1+ results
From: Lars Wendler @ 2016-07-31  7:42 UTC (permalink / raw
  To: gentoo-commits

commit:     05bfbb448451d021d73fa0cb179950e14f7fd216
Author:     Lars Wendler <polynomial-c <AT> gentoo <DOT> org>
AuthorDate: Sun Jul 31 07:42:16 2016 +0000
Commit:     Lars Wendler <polynomial-c <AT> gentoo <DOT> org>
CommitDate: Sun Jul 31 07:42:16 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=05bfbb44

media-libs/lcms: Bump to version 2.8

Package-Manager: portage-2.3.0
Signed-off-by: Lars Wendler <polynomial-c <AT> gentoo.org>

 media-libs/lcms/Manifest        |  1 +
 media-libs/lcms/lcms-2.8.ebuild | 47 +++++++++++++++++++++++++++++++++++++++++
 2 files changed, 48 insertions(+)

diff --git a/media-libs/lcms/Manifest b/media-libs/lcms/Manifest
index e9172fa..ed41d28 100644
--- a/media-libs/lcms/Manifest
+++ b/media-libs/lcms/Manifest
@@ -1,2 +1,3 @@
 DIST lcms2-2.6.tar.gz 4583389 SHA256 5172528839647c54c3da211837225e221be93e4733f5b5e9f57668f7107e14b1 SHA512 af2dd8829a5d8b280688bc247812829c885368951d385a23a1596cf8d0a7aed627c8faa35740073efc51a86ef5c900fc9bdb9dcdfad885fb8b1eae16953f9041 WHIRLPOOL 4fe1be53c48b0928bd474e05613c443eea49570a074d22b71863c485408523116927655b57d86bcb02aca85d9e06c0e26d9ee46bc7c4d746e91e951212de9e59
 DIST lcms2-2.7.tar.gz 6497867 SHA256 4524234ae7de185e6b6da5d31d6875085b2198bc63b1211f7dde6e2d197d6a53 SHA512 9e69ec30efa9d50474808c6ae3d9afb0c5798eaabca0052f82d54efecdc2b58ab40434ee6dee9cd80028597d79a07f6b3b1a73f5293fc444343274eac3e32fd4 WHIRLPOOL 2f5cffcdfdf7258e6825c403bc7e455a57e658a6e54ffc27349cb825a45fdee20979991940c9cc59e8a1e5c50f44f1ea57ba06e09ad534753ea8d24b3e2142b4
+DIST lcms2-2.8.tar.gz 6687005 SHA256 66d02b229d2ea9474e62c2b6cd6720fde946155cd1d0d2bffdab829790a0fb22 SHA512 a9478885b4892c79314a2ef9ab560e6655ac8f2d17abae0805e8b871138bb190e21f0e5c805398449f9dad528dc50baaf9e3cce8b8158eb8ff74179be5733f8f WHIRLPOOL 57c6518fa758ee69da55faeb6810ede6463a3c6b2c70e0d2ccfa789fe09cd8192fdeda04aab9800c7af3b11fea25cb08db8b914a195b48f47f3270025ce8b9b3

diff --git a/media-libs/lcms/lcms-2.8.ebuild b/media-libs/lcms/lcms-2.8.ebuild
new file mode 100644
index 0000000..032b65b
--- /dev/null
+++ b/media-libs/lcms/lcms-2.8.ebuild
@@ -0,0 +1,47 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+AUTOTOOLS_PRUNE_LIBTOOL_FILES="modules"
+inherit eutils multilib-minimal
+
+DESCRIPTION="A lightweight, speed optimized color management engine"
+HOMEPAGE="http://www.littlecms.com/"
+SRC_URI="mirror://sourceforge/${PN}/lcms2-${PV}.tar.gz"
+
+LICENSE="MIT"
+SLOT="2"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~amd64-fbsd ~sparc-fbsd ~x86-fbsd ~x86-freebsd ~amd64-linux ~arm-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~m68k-mint ~sparc-solaris ~x64-solaris ~x86-solaris"
+IUSE="doc jpeg static-libs +threads test tiff zlib"
+
+RDEPEND="jpeg? ( >=virtual/jpeg-0-r2:0[${MULTILIB_USEDEP}] )
+	tiff? ( >=media-libs/tiff-4.0.3-r6:0=[${MULTILIB_USEDEP}] )
+	zlib? ( >=sys-libs/zlib-1.2.8-r1:=[${MULTILIB_USEDEP}] )
+	abi_x86_32? (
+		!<=app-emulation/emul-linux-x86-baselibs-20130224-r10
+		!app-emulation/emul-linux-x86-baselibs[-abi_x86_32(-)]
+	)"
+DEPEND="${RDEPEND}"
+
+S=${WORKDIR}/lcms2-${PV}
+
+multilib_src_configure() {
+	local myeconfargs=(
+		$(use_with jpeg)
+		$(use_with tiff)
+		$(use_with zlib)
+		$(use_with threads)
+	)
+	ECONF_SOURCE="${S}" \
+	econf ${myeconfargs[@]}
+}
+
+multilib_src_install_all() {
+	find "${ED}" \( -name "*.la" -o -name "*.a" \) -delete || die
+
+	if use doc; then
+		docinto pdf
+		dodoc doc/*.pdf
+	fi
+}


^ permalink raw reply related	[relevance 99%]

Results 1-1 of 1 | reverse | options above
-- pct% links below jump to the message on this page, permalinks otherwise --
2016-07-31  7:42 99% [gentoo-commits] repo/gentoo:master commit in: media-libs/lcms/ Lars Wendler

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox